<?php

namespace App\City\Controller;

use Illuminate\Routing\Controller;
use App\City\Model\City as CityModel;
use App\Http\Response\Response;

class City extends Controller
{
    use \App\Traits\Controller;
    protected $query_fields = [
        "is_open","is_hot","father"
    ];

    public function index()
    {
        $query = request()->query();
        $where = $this->filter($query);
        $model = CityModel::where($where);
        if (isset($where['city_name'])) {
            $model->where($where,"like",$where['city_name']."%");
        }
        $res = $model->get();
        return  Response::success($res->toArray());
    }
}
